%define shortname huggingface_hub

Name:          python-%{shortname}
Version:       0.23.2
Release:       1%{?dist}
Summary:       The official Python client for the Huggingface Hub
License:       Apache-2.0
URL:           https://github.com/tinygrad/gpuctypes
Source0:       %url/archive/%{version}.tar.gz#/%{shortname}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Source for python3-%{shortname}.

%package -n     python3-%{shortname}
Summary:        %{summary}

%description -n python3-%{shortname}
The huggingface_hub library allows you to interact with the Hugging Face Hub,
a platform democratizing open-source Machine Learning for creators and collaborators.
Discover pre-trained models and datasets for your projects or play with the thousands
of machine learning apps hosted on the Hub. You can also create and share your own
models, datasets and demos with the community. The huggingface_hub library provides
a simple way to do all these things with Python.

%prep
%autosetup -p1 -n %{shortname}-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{shortname}

%files -n python3-%{shortname} -f %{pyproject_files}
%doc README.md
%{_bindir}/huggingface-cli

%changelog
* Thu May 30 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.23.2-1
- Initial package
